FERROR(3)

NAME
clearerr, feof, ferror - check and reset stream status

SYNOPSIS
#include <stdio.h>

void clearerr(FILE *stream);
int feof(FILE *stream);
int ferror(FILE *stream);

DESCRIPTION
The function clearerr() clears the end-of-file and error indicators for the stream pointed to by stream.

The function feof() tests the end-of-file indicator for the stream pointed to by stream, returning nonzero if it is set. The end-of-file indicator can be cleared only by the function clearerr().

The function ferror() tests the error indicator for the stream pointed to by stream, returning nonzero if it is set. The error indicator can be reset only by the clearerr() function.

For nonlocking counterparts, see unlocked_stdio(3).

RETURN VALUE
The feof() function returns nonzero if the end-of-file indicator is set for stream; otherwise, it returns zero.

The feof() function returns nonzero if the error indicator is set for stream; otherwise, it returns zero.

ERRORS
These functions should not fail and do not set errno.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
The functions clearerr(), feof(), and ferror() conform to C89, C99, POSIX.1-2001, and POSIX.1-2008.

NOTES
POSIX.1-2008 specifies that these functions shall not change the value of errno if stream is valid.

SEE ALSO
open(2), fdopen(3), fileno(3), stdio(3), unlocked_stdio(3)

COLOPHON
This page is part of release 5.11 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.